flexilayout 0.3.0 copy "flexilayout: ^0.3.0" to clipboard
flexilayout: ^0.3.0 copied to clipboard

A flexible layout framework for Flutter applications, suitable for web and desktop.

FlexiLayout #

style: very good analysis Powered by Mason License: MIT

FlexiLayout is an advanced Flutter package designed to empower developers to quickly assemble and deploy versatile, responsive user interfaces with ease. Tailored for both web and desktop applications, FlexiLayout offers an extensive range of customizable layouts and components, making it the ideal toolkit for creating intuitive and aesthetically pleasing UIs.

๐Ÿš€ Key Features #

  • ๐Ÿ“ Prebuilt Layout Templates: Speed up development with a variety of ready-to-use layouts, including adjustable pane designs and dashboard interfaces.
  • ๐Ÿ“ฒ Responsive and Adaptive: Ensure your application looks great on any device, with components that automatically adjust to different screen sizes.
  • ๐Ÿ–ฑ๏ธ Drag-and-Drop and Resizable Panes: Create dynamic user experiences with adjustable and interactive layout elements.
  • ๐Ÿ”ง Modular and Customizable: Enjoy the freedom of customization with modular components that can be tailored to fit your specific design needs.
  • โš™๏ธ Easy Integration: Seamlessly integrate with existing Flutter projects, thanks to an intuitive and straightforward setup process.
  • ๐Ÿ“š Comprehensive Documentation: Get up to speed quickly with detailed documentation, including usage examples and configuration guides.
  • ๐ŸŒ Open Source and Community-Driven: Join a community of developers contributing to the evolution of FlexiLayout, ensuring it stays current with the latest trends and best practices in Flutter development.

Installation ๐Ÿ’ป #

โ— In order to start using Flutter Admin Panel you must have the Flutter SDK installed on your machine.

Add flexilayout to your pubspec.yaml:

dependencies:
  flexilayout: 0.1.0-beta

Install it:

flutter packages get

๐Ÿ“– Example Usage #

Here's a quick glimpse at how you can use FlexiLayout in your project:

import 'package:flexilayout/flexilayout.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    // Add example code
  }
}

Continuous Integration ๐Ÿค– #

FlexiLayout comes with a built-in GitHub Actions workflow powered by Very Good Workflows but you can also add your preferred CI/CD solution.

Out of the box, on each pull request and push, the CI formats, lints, and tests the code. This ensures the code remains consistent and behaves correctly as you add functionality or make changes. The project uses Very Good Analysis for a strict set of analysis options used by our team. Code coverage is enforced using the Very Good Workflows.


Running Tests ๐Ÿงช #

For first time users, install the very_good_cli:

dart pub global activate very_good_cli

To run all unit tests:

very_good test --coverage

To view the generated coverage report you can use lcov.

# Generate Coverage Report
genhtml coverage/lcov.info -o coverage/

# Open Coverage Report
open coverage/index.html

๐Ÿ’ช Contributing #

Contributions to FlexiLayout are welcome! Whether it's submitting bug reports, feature requests, or contributing code, your involvement significantly enhances the quality and functionality of the package.

๐Ÿ“œ License #

FlexiLayout is available under the MIT license. See the LICENSE file for more info.

0
likes
40
pub points
3%
popularity

Publisher

verified publisherdimlylit.dev

A flexible layout framework for Flutter applications, suitable for web and desktop.

Repository (GitHub)
View/report issues

License

MIT (LICENSE)

Dependencies

bloc, equatable, flutter, flutter_bloc, flutter_localizations, intl, uuid

More

Packages that depend on flexilayout